Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Reset the password for a residential subuser. Permission: residential:write.
residential:write
cURL
curl --request POST \ --url https://api.proxyscrape.com/v4/account/{subAccountId}/residential/subuser/{subUserId}/reset-password \ --header 'Content-Type: application/json' \ --header 'api-token: <api-key>' \ --data ' { "password": "<string>" } '
import requests url = "https://api.proxyscrape.com/v4/account/{subAccountId}/residential/subuser/{subUserId}/reset-password" payload = { "password": "<string>" } headers = { "api-token": "<api-key>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {'api-token': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({password: '<string>'}) }; fetch('https://api.proxyscrape.com/v4/account/{subAccountId}/residential/subuser/{subUserId}/reset-password', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "success": true }
API key. Create and manage keys at /v4/account/api-keys or in the dashboard.
Password reset
Was this page helpful?